CUDNN Frontend API 8.3.0

Public Types | Static Public Attributes | List of all members
nlohmann::detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >:

## Public Types
using | serializer = typename BasicJsonType::template json_serializer< T, void >

## Static Public Attributes
static constexpr bool | value

## Detailed Description

### template<typename BasicJsonType, typename T>
struct nlohmann::detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >

Definition at line 3519 of file json.hpp.

## Member Typedef Documentation

## ◆ serializer

template<typename BasicJsonType , typename T >

using nlohmann::detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >::serializer = typename BasicJsonType::template json_serializer<T, void>

Definition at line 3521 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename BasicJsonType , typename T >

constexpr bool nlohmann::detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >::value
| static

Initial value:
=
is_detected_exact<T, from_json_function, serializer,
const BasicJsonType&>::value

Definition at line 3523 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp